/**************************************************
opengate server test program 

Copyright (C) 2005 Yoshiaki Watanabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Email: watanaby@is.saga-u.ac.jp
**************************************************/

#include	"opengatesrv.h"

/*********************/
/*  main routine     */
/*********************/
int  main(int argc, char **argv)
{
  char clientAddr[100];
  char serverID[100]="default";
  char dummy[100];

  /* start log */
  errToSyslog(ERRORTOSYSLOG);     /* set output of err_xxx() to syslogd */
  openlog(argv[0], LOG_PID, FACILITY);

  printf("Config file=[%s]\n",CONFIGFILE);
  printf("ServerID=[%s]\n",serverID);

  /* create buffer for serverID from config file */
  if(CreateDbBuffer(serverID)!=0) return 0;

  /* get client address to add */
  printf("Enter IP address to add rule in firewall=");
  scanf("%s",clientAddr);

  /* open firewall */
  OpenClientGate(clientAddr,"user1",NULL,NULL);

  /* wait input */
  printf("Check the addtion of firewall rules with ipfw command\n");
  printf("This program and ipfw command be executed by root user\n\n");
  printf("ENTER ANY charcter to remove the added rule\n\n");
  scanf("%s",dummy);

  /* close firewall */
  CloseClientGate();
  printf("Check the removal of firewall rule with ipfw command\n");

  /* get packet count */
  printf("Packet count for the rule is %d\n",GetPacketCount());

  return 0;
}


