/**************************************************
opengate server test program 

Copyright (C) 2005 Yoshiaki Watanabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Email: watanaby@is.saga-u.ac.jp
**************************************************/

#include	"opengatesrv.h"

/*********************/
/*  main routine     */
/*********************/
int  main(int argc, char **argv)
{
  char clientAddr[100]="127.0.0.1";
  char userID[100]="user1";
  char serverID[100]="default";
  char dummy[100];
  int duration=60; 

  /* start log */
  errToSyslog(ERRORTOSYSLOG);     /* set output of err_xxx() to syslogd */
  openlog(argv[0], LOG_PID, FACILITY);

  printf("Config file=[%s]\n",CONFIGFILE);
  printf("ServerID=[%s]\n",serverID);

  /* create buffer for serverID from config file */
  if(CreateDbBuffer(serverID)!=0) return 0;

  /* guide for connecting */
  printf("Waiting connection for %d seconds\n",duration);
  printf("\n");
  printf("Try to connect from other window as\n");
  printf("> telnet %s %d\n", clientAddr, GetListenPort());
  printf("> %s\n",userID);
  printf("\n");
  printf("When %d seconds passed, hello is received\n",
	 GetActiveCheckInterval());
  printf("Reply the message as\n");
  printf("> hello\n");
  printf("\n");
  printf("To close connection, Enter as\n");
  printf("> quit\n");
  printf("\n");

  /* connection wait */
  WaitAppletConnect(userID, clientAddr, duration, "");
  
  printf("Connected (or timeout)\n");
  printf("Wait closing\n");
  
  /* close wait */
  WaitClientClose();

  printf("Connection closed\n");

  return 0;
}


